org.eclipse.mat.parser.internal

## Class SnapshotFactoryImpl

- java.lang.Object
- - org.eclipse.mat.parser.internal.SnapshotFactoryImpl

All Implemented Interfaces:
  SnapshotFactory.Implementation

    public class SnapshotFactoryImpl
    extends Object
    implements SnapshotFactory.Implementation

### Constructor Summary

Constructors
Constructor and Description
`SnapshotFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IOQLQuery` `createQuery(String queryString)` Run an OQL query
`void` `dispose(ISnapshot snapshot)` Free resources when the snapshot is no longer needed.
`List<SnapshotFormat>` `getSupportedFormats()` Show which parsers the factory handles
`ISnapshot` `openSnapshot(File file, Map<String,String> args, IProgressListener listener)` Opens a snapshot

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotFactoryImpl

    public SnapshotFactoryImpl()

### Method Detail

#### openSnapshot

    public ISnapshot openSnapshot(File file,
                                  Map<String,String> args,
                                  IProgressListener listener)
                           throws SnapshotException

Description copied from interface: `SnapshotFactory.Implementation`
Opens a snapshot

Specified by:
  `openSnapshot` in interface `SnapshotFactory.Implementation`
Parameters:
  `file` - the dump file
  `args` - extra arguments to change the indexing of the dump
  `listener` - to show progress and errors
Returns:
  the snapshot
Throws:
  `SnapshotException`

#### dispose

    public void dispose(ISnapshot snapshot)

Description copied from interface: `SnapshotFactory.Implementation`
Free resources when the snapshot is no longer needed.

Specified by:
  `dispose` in interface `SnapshotFactory.Implementation`

#### createQuery

    public IOQLQuery createQuery(String queryString)
                          throws SnapshotException

Description copied from interface: `SnapshotFactory.Implementation`
Run an OQL query

Specified by:
  `createQuery` in interface `SnapshotFactory.Implementation`
Parameters:
  `queryString` - the OQL query
Returns:
  the result
Throws:
  `OQLParseException`
  `SnapshotException`

#### getSupportedFormats

    public List<SnapshotFormat> getSupportedFormats()

Description copied from interface: `SnapshotFactory.Implementation`
Show which parsers the factory handles

Specified by:
  `getSupportedFormats` in interface `SnapshotFactory.Implementation`
Returns:
  a list of snapshot types